// Create and define new FCKEditor button command openning the popup window

var QuicklyInsertImageCommand = function() {
}

QuicklyInsertImageCommand.GetState = function() {
    if (FCK.EditMode != FCK_EDITMODE_WYSIWYG)
        return FCK_TRISTATE_DISABLED;
    else {
        return FCK_TRISTATE_OFF;
    }
}

QuicklyInsertImageCommand.Execute = function() {

}

function CustomChangeState(newState, force) {
    if (!force && this.State == newState)
        return;

    var e = this.MainElement;
    if (!e)
        return;

    switch (parseInt(newState, 10)) {
        case FCK_TRISTATE_ON:
            e.className = 'TB_Button_On';
            QuicklyInsertImage.Show(e);
            break;

        case FCK_TRISTATE_OFF:
            e.className = 'TB_Button_Off';
            QuicklyInsertImage.Show(e);
            break;

        case FCK_TRISTATE_DISABLED:
            e.className = 'TB_Button_Disabled';
            QuicklyInsertImage.Hide(e);
            break;
    }

    this.State = newState;
}

FCKCommands.RegisterCommand('QuicklyInsertImage', QuicklyInsertImageCommand);

var currentInstance = null;

function MouseOverToolbar() {
    currentInstance = FCK.ToolbarSet.CurrentInstance;

    var quickFrame = FCK.ToolbarSet.quickFrame;
    if ((quickFrame != null) && (quickFrame.contentWindow != null)) {
        if (quickFrame.contentWindow.mouseIsOnDirectUploader && currentInstance.wasSaved) {
            quickFrame.contentWindow.mouseIsOnDirectUploader = false;
        }
        else {
            quickFrame.contentWindow.focusUploader = currentInstance.HasFocus;
            if (currentInstance.HasFocus && !currentInstance.wasSaved) {
                currentInstance.Selection.Save();
                currentInstance.wasSaved = true;
            }
        }
    }
}

var QuicklyInsertImage = function() {
}

QuicklyInsertImage.prototype = new FCKToolbarButton('QuicklyInsertImage', FCKLang.QuicklyInsertImageButton, FCKLang.QuicklyInsertImageButton, null, false, false, '');

QuicklyInsertImage.prototype.Create = function(parentElement) {

    this._UIButton = new FCKToolbarButtonUI(this.CommandName, this.Label, this.Tooltip, this.IconPath, this.Style);
    this._UIButton.ChangeState = CustomChangeState;

    // Check if in url is defined DocumentID or FormGUID
    if (QuicklyInsertImage.IsDocument(FCKConfig["QuickInsertURL"])) {
        this._UIButton.OnClick = this.Click;
        this._UIButton._ToolbarButton = this;
        this._UIButton.Create(parentElement);

        var imgs = parentElement.getElementsByTagName('img');
        var div = imgs[0].parentNode;

        // Override some parent div css properties
        div.style.width = "20px";
        div.style.height = "20px";
        div.style.margin = "0px";
        div.parentNode.style.filter = "";

        // Create IFRAME for the uploader
        div.innerHTML = '<iframe name="QuickInsertImage" src="' + FCKConfig["QuickInsertURL"] + '" frameborder="0" marginWidth="0" marginHeight="0" scrolling="no" width="20" height="20" border="0" /><img src="' + FCKPlugins.Items['QuicklyInsertImage'].Path + 'fckIcon.gif' + '" class="QII_disable" style="width:20px; height:20px; display:none;"/>';
        div.innerHTML += '<img src="' + FCKPlugins.Items['QuicklyInsertImage'].Path + 'fckIcon.gif" style="width:20px; height:20px; display:none;" />';
        FCK.ToolbarSet.quickFrame = div.firstChild;

        // Override existing mouse over event
        FCK.ToolbarSet._TargetElement.onmouseover = MouseOverToolbar;

        if (!FCKBrowserInfo.IsGecko) {
            if ((typeof (FCKeditorAPI) != 'undefined') && (FCKeditorAPI.__Instances != null)) {
                for (var name in FCKeditorAPI.__Instances) {
                    var oEditor = FCKeditorAPI.__Instances[name];
                    oEditor.Focus = FCK_Custom_Focus;
                }
            }
        }
    }
}

QuicklyInsertImage.Show = function(e) {
    var frames = e.getElementsByTagName('iframe');
    if ((frames != null) && (frames.length > 0)) {
        frames[0].style.display = "block";
        var fakeImgs = e.getElementsByTagName('img');
        if ((fakeImgs != null) && (fakeImgs.length > 0)) {
            fakeImgs[0].style.display = "none";
        }
    }
}

QuicklyInsertImage.Hide = function(e) {
    var frames = e.getElementsByTagName('iframe');
    if ((frames != null) && (frames.length > 0)) {
        frames[0].style.display = "none";
        var fakeImgs = e.getElementsByTagName('img');
        if ((fakeImgs != null) && (fakeImgs.length > 0)) {
            fakeImgs[0].style.display = "block";
            if (document.all) {
                fakeImgs[0].style.filter = "gray() alpha(opacity=30)";
            }
        }
    }
}

QuicklyInsertImage.IsDocument = function(url) {
    if (url != null) {
        // Get form guid from url
        var formGuid = url.match(/(?:formGuid=)([a-z\d-]+)/i);
        // Get document id from url
        var documentId = url.match(/(?:documentid=)([\d]+)/i);
        // Get parent id form url
        var parentId = url.match(/(?:parentid=)([\d]+)/i);

        if ((formGuid != null) && (parentId != null)) {
            if ((/^[a-f\d]{8}-[a-f\d]{4}-[a-f\d]{4}-[a-f\d]{4}-[a-f\d]{12}$/i.test(formGuid[1])) && (parseInt(parentId[1], 10) >= 0)) {
                return true;
            }
        }
        if (documentId != null) {
            if (parseInt(documentId[1], 10) >= 0) {
                return true;
            }
        }
    }
    return false;
}

var oQuicklyInsertImage = new QuicklyInsertImage();
FCKToolbarItems.RegisterItem('QuicklyInsertImage', oQuicklyInsertImage);

function FCK_OnBlur(editorInstance) {
    var quickFrame = editorInstance.ToolbarSet.quickFrame;
    if ((quickFrame != null) && (quickFrame.contentWindow != null)) {
        quickFrame.contentWindow.focusUploader = false;
    }
}

function FCK_Custom_Focus() {
    var quickFrame = this.ToolbarSet.quickFrame;
    if ((quickFrame != null) && (quickFrame.contentWindow != null)) {
        quickFrame.contentWindow.focusUploader = true;
    }
}